| DocBook: The Definitive Guide Version 2.0.8 (Alpha)

# itemizedlist

$Revision: 1.3 $

$Date: 2002/06/12 11:18:15 $

itemizedlist — A list in which each entry is marked with a bullet or other dingbat

## Synopsis

### Content Model

    itemizedlist ::=
    (blockinfo?,
     (title,titleabbrev?)?,
     (caution|important|note|tip|warning|literallayout|programlisting|
      programlistingco|screen|screenco|screenshot|synopsis|
      cmdsynopsis|funcsynopsis|classsynopsis|fieldsynopsis|
      constructorsynopsis|destructorsynopsis|methodsynopsis|
      formalpara|para|simpara|address|blockquote|graphic|graphicco|
      mediaobject|mediaobjectco|informalequation|informalexample|
      informalfigure|informaltable|anchor|bridgehead|remark|
      highlights|abstract|authorblurb|epigraph|indexterm|beginpage)*,
     listitem+)

### Attributes

Common attributes

Name | Type | Default
mark | CDATA | None

spacing

Enumeration:
compact
normal

None

## Description

In an `ItemizedList`, each member of the list is marked with a bullet, dash, or other symbol.

### Processing expectations

Formatted as a displayed block.

DocBook specifies neither the initial mark nor the sequence of marks to be used in nested lists. If explicit control is desired, the `Mark` attribute should be used. The values of the `Mark` attribute are expected to be keywords, not representations (numerical character references, entities, and so on.) of the actual mark.

In order to enforce a standard set of marks at your organization, it may be useful to construct a customization layer that limits the values of the `Mark` attribute to an enumerated list. See Chapter 5.

### Future Changes

Introductory material may appear before the first list item.

### Parents

These elements contain itemizedlist: `answer`, `appendix`, `article`, `bibliodiv`, `bibliography`, `blockquote`, `callout`, `caption`, `caution`, `chapter`, `colophon`, `constraintdef`, `dedication`, `entry`, `example`, `footnote`, `glossary`, `glossdef`, `glossdiv`, `highlights`, `important`, `index`, `indexdiv`, `informalexample`, `legalnotice`, `listitem`, `msgexplan`, `msgtext`, `note`, `para`, `partintro`, `preface`, `procedure`, `qandadiv`, `qandaset`, `question`, `refsect1`, `refsect2`, `refsect3`, `refsection`, `refsynopsisdiv`, `revdescription`, `sect1`, `sect2`, `sect3`, `sect4`, `sect5`, `section`, `setindex`, `sidebar`, `simplesect`, `step`, `textobject`, `tip`, `warning`.

### Children

The following elements occur in itemizedlist: `abstract`, `address`, `anchor`, `authorblurb`, `beginpage`, `blockinfo`, `blockquote`, `bridgehead`, `caution`, `classsynopsis`, `cmdsynopsis`, `constructorsynopsis`, `destructorsynopsis`, `epigraph`, `fieldsynopsis`, `formalpara`, `funcsynopsis`, `graphic`, `graphicco`, `highlights`, `important`, `indexterm`, `informalequation`, `informalexample`, `informalfigure`, `informaltable`, `listitem`, `literallayout`, `mediaobject`, `mediaobjectco`, `methodsynopsis`, `note`, `para`, `programlisting`, `programlistingco`, `remark`, `screen`, `screenco`, `screenshot`, `simpara`, `synopsis`, `tip`, `title`, `titleabbrev`, `warning`.

## Attributes

mark

  `Mark` contains a keyword indicating the type of mark to be used on items in this `ItemizedList`. DocBook does not provide a fixed list of appropriate keywords.

spacing

  `Spacing` indicates whether or not the vertical space in the list should be minimized.

## See Also

`calloutlist`, `listitem`, `orderedlist`, `segmentedlist`, `simplelist`, `variablelist`.

## Examples

    <!DOCTYPE itemizedlist PUBLIC "-//OASIS//DTD DocBook XML V4.1.2//EN"
              "http://www.oasis-open.org/docbook/xml/4.1.2/docbookx.dtd">
    <itemizedlist mark='opencircle'>
    <listitem>
    <para>
    TeX and LaTeX
    </para>
    </listitem>
    <listitem override='bullet'>
    <para>
    Troff
    </para>
    </listitem>
    <listitem>
    <para>
    Lout
    </para>
    </listitem>
    </itemizedlist>

- TeX and LaTeX

- Troff

- Lout

For additional examples, see also `highlights`, `para`, `xref`.

issuenum |  | itermset

Copyright © 1999, 2000, 2001, 2002 O'Reilly & Associates, Inc. All rights reserved.